<?php

namespace ISYS\UBRIR;

use UBRIR\CMSNavigator;

class OpencartNavigator implements CMSNavigator
{
    private function ExtendBaseAttributes($tabId)
    {
        return ' class="adm-btn openTabLink" data-tab-id="' . $tabId . '"';
    }

    public function GetDiagnosticLinkAttributes()
    {
        return $this->ExtendBaseAttributes('#tab-diagnostic');
    }

    public function GetCertificateGenerateLinkAttributes()
    {
        return $this->ExtendBaseAttributes('#tab-certificate_generate');
    }

    public function GetCertificateUploadLinkAttributes()
    {
        //Обязательно перезагружать!
        return ' class="adm-btn openTabLink" data-tab-id="' . '#tab-certificate_upload' . '" data-tab-force="1"';
    }

    public function GetFileManagerLinkAttributes($certificateRelPath = false)
    {
        return false;
    }

    public function GetSettingsLinkAttributes()
    {
        return $this->ExtendBaseAttributes('#tab-settings');
    }

    public function GetViewLogLinkAttributes()
    {
        return $this->ExtendBaseAttributes('#tab-log');
    }

    public function GetPaymentSettingsLinkAttributes()
    {
        return false;
    }

}